=== debian/changelog ===
cadvisor (0.35.0+ds1-4ubuntu3) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:06:00 +0000

cadvisor (0.35.0+ds1-4ubuntu2) groovy; urgency=medium

  * Add containerd support back (See LP 1884663)
    - Drop d/p/0008-disable-containerd.patch
    - Add dependency on golang-github-containerd-containerd-dev,
      golang-github-containerd-ttrpc-dev, golang-github-containerd-typeurl-dev

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 15 Jul 2020 11:56:04 -0300

cadvisor (0.35.0+ds1-4ubuntu1) groovy; urgency=medium

  * d/p/0008-disable-containerd.patch: golang-github-containerd-containerd-dev
    is not working due to the vendorized dependencies (LP: #1884663) 
  * Add dependency on golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev, and
    golang-github-seandolphin-bqschema-dev. Those packages were indirectly
    provided by containerd.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 23 Jun 2020 15:50:56 -0300

cadvisor (0.35.0+ds1-4) unstable; urgency=medium

  * Skip one more problem test on s390x

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 13:46:17 +0800

cadvisor (0.35.0+ds1-3) unstable; urgency=medium

  * Fix s390x FTBFS again

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 12:24:50 +0800

cadvisor (0.35.0+ds1-2) unstable; urgency=medium

  * Add patch to fix FTBFS on mips64el,mipsel,arm64,s390x

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 07:02:16 +0800

cadvisor (0.35.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.35.0+ds1
  * Update Files-Excluded for new release
  * Change uscan repacksuffix
  * Fix Build-Depends for new release
  * Add new patch to disable cloud provider and web ui
  * Add patch to build with containerd 1.3.x
  * Simplify d/rules
  * Add patch to fix build with new prometheus client_golang
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Add myself to Uploaders, adopt package (Closes: #886740)
  * Update debhelper-compat to 12
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root
  * Add patch to skip test failed in sbuild
  * Add NVML Notice file to docs
  * Update copyright info for the vendor source
  * Drop init script
  * Update lintian-overrides

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 05:54:34 +0800
