=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := utils/cloudinfo/aws \
	utils/cloudinfo/azure utils/cloudinfo/gce \
	example integration

export DH_GOLANG_INSTALL_EXTRA := fs/test_resources \
	$(shell find collector container -name '*.json')

%:
	dh $@ --buildsystem=golang --with=golang
