## cadvisor 0.37.0+ds1

=== debian/changelog ===
cadvisor (0.37.0+ds1-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add dependency on golang-github-opencontainers-go-digest-dev,
      golang-github-opencontainers-image-spec-dev,
      golang-github-seandolphin-bqschema-dev,
      golang-github-containerd-ttrpc-dev, and
      golang-github-containerd-typeurl-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Nov 2020 12:25:16 -0800

cadvisor (0.37.0+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Update copyright

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 01:38:18 +0800

cadvisor (0.37.0+ds1-1) experimental; urgency=medium

  * New upstream version 0.37.0+ds1
  * Upstream no longer has vendor directory
  * Use packaged golang-github-karrick-godirwalk-dev
  * Refresh patches for new version
  * Use packaged go-kmsg-parser and rican7-retry
  * Vendor docker, k8s, gonvml libraries
  * Disable influxdb storagedriver
  * Add go-logr to Depends and drop unused
  * Fix compatibility with go-logr 0.2.0
  * Fix compatibility with godirwalk 1.15
  * Bump debhelper-compat to 13
  * Bump runc to 1.0.0~rc91
  * Add extra testdata
  * Fix cadvisor binary name

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Aug 2020 02:25:43 +0800
