=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-blang-semver-dev,
@@ -13,20 +13,22 @@
                golang-github-containerd-typeurl-dev,
                golang-github-docker-go-connections-dev,
                golang-github-docker-go-units-dev,
+               golang-github-euank-go-kmsg-parser-dev,
                golang-github-garyburd-redigo-dev,
+               golang-github-go-logr-logr-dev,
                golang-github-gogo-protobuf-dev,
+               golang-github-karrick-godirwalk-dev,
                golang-github-kr-pretty-dev,
-               golang-github-mattn-go-shellwords-dev,
                golang-github-mesos-mesos-go-dev,
-               golang-github-mrunalp-fileutils-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-opencontainers-runc-dev,
+               golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
+               golang-github-rican7-retry-dev,
                golang-github-seandolphin-bqschema-dev,
                golang-github-shopify-sarama-dev,
                golang-github-stretchr-testify-dev,
@@ -53,28 +55,23 @@
          golang-github-containerd-typeurl-dev,
          golang-github-docker-go-connections-dev,
          golang-github-docker-go-units-dev,
-         golang-github-garyburd-redigo-dev,
+         golang-github-euank-go-kmsg-parser-dev,
+         golang-github-go-logr-logr-dev,
          golang-github-gogo-protobuf-dev,
-         golang-github-mattn-go-shellwords-dev,
-         golang-github-mesos-mesos-go-dev,
-         golang-github-mrunalp-fileutils-dev,
+         golang-github-karrick-godirwalk-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
-         golang-github-opencontainers-runc-dev,
+         golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev,
          golang-github-prometheus-common-dev,
          golang-github-seandolphin-bqschema-dev,
-         golang-github-shopify-sarama-dev,
          golang-go-zfs-dev,
          golang-golang-x-net-dev,
-         golang-golang-x-oauth2-dev,
          golang-golang-x-sys-dev,
-         golang-google-api-dev,
          golang-google-grpc-dev,
-         golang-gopkg-olivere-elastic.v2-dev,
          ${misc:Depends},
 Description: analyze resource usage and performance of running containers
  cAdvisor (Container Advisor) provides container users an understanding of
