=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := utils/cloudinfo/aws \
	utils/cloudinfo/azure utils/cloudinfo/gce \
	cmd/internal/storage/influxdb \
	example integration

export DH_GOLANG_INSTALL_EXTRA := fs/test_resources \
	$(shell find collector container perf -name '*.json')

%:
	dh $@ --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	cp -av debian/vendor ./

execute_after_dh_auto_install:
	mv -vf debian/tmp/usr/bin/cmd debian/tmp/usr/bin/cadvisor
