=== debian/changelog ===
cadvisor (0.38.7+ds1-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:48:20 -0600

cadvisor (0.38.7+ds1-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add dependency on golang-github-opencontainers-go-digest-dev,
      golang-github-opencontainers-image-spec-dev,
      golang-github-seandolphin-bqschema-dev,
      golang-github-containerd-ttrpc-dev, and
      golang-github-containerd-typeurl-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 20:21:47 -0700

cadvisor (0.38.7+ds1-2) unstable; urgency=medium

  * Add patch to build with runc rc93
  * Bump golang-github-opencontainers-runc-dev to 1.0.0~rc93

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Feb 2021 16:55:35 +0800

cadvisor (0.38.7+ds1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add dependency on golang-github-opencontainers-go-digest-dev,
      golang-github-opencontainers-image-spec-dev,
      golang-github-seandolphin-bqschema-dev,
      golang-github-containerd-ttrpc-dev, and
      golang-github-containerd-typeurl-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2021 12:54:47 -0800

cadvisor (0.38.7+ds1-1) unstable; urgency=medium

  * New upstream version 0.38.7+ds1
  * Chenge Section to admin and -dev package to golang
  * Update Standards-Version to 4.5.1 (no changes)
  * Add version info when building
  * Update man page and default configuration

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 15 Jan 2021 02:30:13 +0800
