=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cadvisor
-Section: devel
+Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
@@ -22,7 +22,7 @@
                golang-github-mesos-mesos-go-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
+               golang-github-opencontainers-runc-dev (>= 1.0.0~rc93),
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
@@ -39,7 +39,7 @@
                golang-google-api-dev,
                golang-google-grpc-dev,
                golang-gopkg-olivere-elastic.v2-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/google/cadvisor
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cadvisor
 Vcs-Git: https://salsa.debian.org/go-team/packages/cadvisor.git
@@ -48,6 +48,7 @@
 XS-Go-Import-Path: github.com/google/cadvisor
 
 Package: golang-github-google-cadvisor-dev
+Section: golang
 Architecture: all
 Depends: golang-github-blang-semver-dev,
          golang-github-containerd-containerd-dev,
@@ -61,7 +62,7 @@
          golang-github-karrick-godirwalk-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
-         golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
+         golang-github-opencontainers-runc-dev (>= 1.0.0~rc93),
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,
