=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_GOLANG_EXCLUDES := utils/cloudinfo/aws \
 	utils/cloudinfo/azure utils/cloudinfo/gce \
@@ -8,6 +10,11 @@
 export DH_GOLANG_INSTALL_EXTRA := fs/test_resources \
 	$(shell find collector container perf -name '*.json')
 
+
+PKG        := github.com/google/cadvisor
+GO_LDFLAGS += -X $(PKG)/version.Version=$(DEB_VERSION_UPSTREAM)
+GO_LDFLAGS += -X $(PKG)/version.Revision=$(DEB_VERSION)
+
 %:
 	dh $@ --buildsystem=golang --with=golang
 
@@ -16,3 +23,6 @@
 
 execute_after_dh_auto_install:
 	mv -vf debian/tmp/usr/bin/cmd debian/tmp/usr/bin/cadvisor
+
+override_dh_auto_build:
+	dh_auto_build -- -ldflags '$(GO_LDFLAGS)'
